:root {
    font-size: 16px;
    font-family: 'Open Sans';
    --light-primary: #F1F7ED;
    --light-secondary: #E0EEC6;
    --dark-primary: #243E36;
    --dark-secondary: #496F4D;
    --accent: #eca148;
    --accent-soft: #a1be8d;
    --shadow-color: #00000033;
    --navbar-width: 5rem;
    --notion-content-width: 60%;
}

body {
    color: #243E36;
    background-color: #F1F7ED;
    margin: 0;
    padding: 0;
}

::-webkit-scrollbar {
    width: 1rem;
}

::-webkit-scrollbar-track {
    background: var(--accent-soft);
}

::-webkit-scrollbar-thumb {
    background: var(--dark-secondary);
    border-radius: 1rem;
}

.fit-in-view {
    margin: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    overflow: hidden;
}

.adaptable-container {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0.5rem;
    overflow: hidden;
    /* Prevents any overflow */
    display: flex;
    align-items: center;
    flex: 1 1 auto;
    min-width: 0;
}

.fit-to-flex {
    min-width: 0;
    min-height: 0;
    object-fit: contain;
    overflow: hidden;
    flex: 1 1 auto;
    width: 100%;
}

.fit-to-flex img {
    min-width: 0;
    min-height: 0;
    object-fit: contain;
    overflow: hidden;
    flex: 1 1 auto;
}

.two-line-text {
    white-space: pre-wrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* number of lines to show */
    -webkit-box-orient: vertical;
}

.small-vertical-margin {
    margin: 0.5rem 0rem;
}

.adaptable-container .large-flex {
    flex-shrink: 1;
    /* Allows shrinking if necessary */
    min-width: 0;
}

.adaptable-container .text-element {
    display: flex;
    flex-direction: column;
    flex-shrink: 1;
    /* Allows the text element to shrink if necessary */
}

.title {
    font-size: 4rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

.highlighted-section {
    background-color: var(--light-secondary);
}

.adaptable-container .text-element p {
    font-size: 1.5rem;
    font-weight: 400;
    margin: 0;
    padding: 0;
}

.large-flex {
    min-height: 100%;
    min-width: 100%;
    object-fit: contain;
    min-height: 0;
    min-width: 0;
    padding: 1.5rem;
}

.medium-flex {
    max-height: 50%;
    max-width: 50%;
    object-fit: contain;
    min-height: 0;
    min-width: 0;
    padding: 1.5rem;
}

.small-flex {
    max-height: 25%;
    max-width: 25%;
    object-fit: contain;
    min-height: 0;
    min-width: 0;
    padding: 1.5rem;
}

.circle {
    width: 100%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    position: relative;
    overflow: hidden;
}

.circle img {
    display: inline;
    margin: 0 auto;
    width: 100%;
}

.typed {
    font-size: 2rem;
    font-weight: 600;
}

.adaptable-container .text-element p {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.col-container {
    box-sizing: border-box;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0.5rem 0rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.padded-col-container {
    box-sizing: border-box;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 1rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.center-block-container {
    box-sizing: border-box;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 0.5rem 0rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 0.5rem;
}

.image-button {
    height: 3.5rem;
    width: auto;
    border: none;
    background-color: transparent;
    transition: transform 0.2s ease-in-out;
    transform: scale(.8);
}

.image-button:hover {
    transform: scale(1);
}

.body-container {
    box-sizing: border-box;
    width: 100%;
    height: auto;
    margin: 0;
    padding: 2rem 10rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    overflow-x: hidden;
}

.standard-padding {
    padding: 0.5rem 1rem;
}

.slide-from-bottom {
    animation: slide-from-bottom var(--transition-speed) ease-in-out;
    /* animation only triggers when element is in view */
    animation-fill-mode: backwards;
}

@keyframes slide-from-bottom {
    0% {
        transform: translateY(100vh);
    }
    70% {
        transform: translateY(-3vh);
    }
    90% {
        transform: translateY(2vh);
    }
    100% {
        transform: translateY(0%);
    }
}

.image-container {
    box-sizing: border-box;
    width: var(--notion-content-width);
    height: auto;
    margin: 0 auto;
    padding: 0.5rem 0rem;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    object-fit: contain;
    gap: 0.5rem;
}

.image-container img {
    justify-self: center;
    min-width: 0;
    flex: 0 1 auto;
    height: auto;
    border-radius: 1rem;
}

.preview-image {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    align-self: center;
}

.preview-image img {
    justify-self: center;
    width: 100%;
    height: auto;
    border-radius: 1rem;
}

button {
    font-size: 1rem;
    font-weight: 600;
    color: var(--light-primary);
    border: var(--light-primary);
    border-radius: 1rem;
    padding: 0.5rem 1.5rem;
    margin: 0.25rem;
    background-color: var(--dark-primary);
    transition: 0.2s ease-in-out;
}

button:hover {
    background-color: var(--dark-secondary);
    border: var(--dark-secondary);
    cursor: pointer;
}

hr {
    /* just a line of background color */
    border: none;
    height: 2px;
    background-color: var(--accent-soft);
    margin: 1.5rem 0rem;
    padding: 0;
}

h1 {
    font-size: 2rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

h2 {
    font-size: 1.5rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

h3 {
    font-size: 1.25rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

h4 {
    font-size: 1rem;
    font-weight: 600;
    margin: 0;
    padding: 0;
}

a {
    color: var(--dark-secondary);
    font-weight: 600;
    transition: 0.25s ease-in-out;
}

a:hover {
    color: var(--accent-soft);
}

code pre {
    box-sizing: border-box;
    font-family: 'Courier New';
    font-size: 1rem;
    font-weight: 400;
    margin: 0;
    padding: 2rem;
    border-radius: 1rem;
    background-color: var(--light-secondary);
    width: 100%;
    overflow-x: scroll;
}

blockquote {
    font-size: 1rem;
    font-weight: 400;
    margin: 0;
    padding: 0;
    border-left: 0.5rem solid var(--accent-soft);
    background-color: var(--light-secondary);
    border-radius: 1rem;
    padding: 0.5rem 1rem;
    white-space: pre-wrap;
}

p {
    padding: 0.25rem 0;
    font-size: 1rem;
}

p iframe {
    /* align itself into the center in column flex box */
    margin: 0 auto;
    display: block;
    max-width: 100%;
    flex-shrink: 0;
}

.video-container {
    display: block;
    width: var(--notion-content-width);
    padding-top: calc(9 / 16 * var(--notion-content-width));
    position: relative;
    overflow: hidden;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
    border-radius: 1rem;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.image-caption {
    font-size: 1rem;
    font-weight: 400;
    max-width: var(--notion-content-width);
    margin: 0 auto;
    padding: 0;
    text-align: center;
    color: var(--dark-secondary);
}

.link-preview {
    font-size: small;
    font-weight: 400;
    padding: 0.5rem;
    margin: 0.5rem;
    height: fit-content;
    background-color: var(--light-secondary);
    border-radius: 1rem;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    transition-duration: var(--transition-speed);
}


/* Small screens */

@media only screen and (max-width: 600px) {
     :root {
        --notion-content-width: 100%;
    }
    .show-mobile {
        display: inline;
    }
    .show-desktop {
        display: none;
    }
    .adaptable-container {
        flex-direction: column;
        justify-content: center;
        align-content: center;
    }
    .body-container {
        padding: 2rem 2rem;
    }
    .large-flex {
        width: 100%;
        height: auto;
    }
    .adaptable-container .text-element {
        align-content: center;
        justify-content: center;
        text-align: center;
        min-width: 100%;
    }
    .title {
        font-size: 2rem;
    }
    .adaptable-container .text-element p {
        font-size: 1rem;
    }
    .col-container {
        justify-content: center;
    }
    .typed {
        font-size: 1.5rem;
    }
}


/* Large screens */

@media only screen and (min-width: 600px) {
    .show-mobile {
        display: none;
    }
    .show-desktop {
        display: inline;
    }
    .adaptable-container {
        flex-direction: row;
    }
    .large-flex {
        height: 100%;
        width: auto;
    }
    .adaptable-container .text-element {
        align-content: first baseline;
        min-width: 40%;
        max-width: 40%;
    }
    .large-side-padding {
        padding: 2rem 20rem;
    }
}